# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.459   -> 1.460  
#	arch/i386/kernel/i386_ksyms.c	1.20    -> 1.21   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/10	greg@kroah.com	1.460
# export the IO_APIC_get_PCI_irq_vector function, as the IBM PCI Hotplug
# driver needs this.  This is already done in 2.4.x
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/i386_ksyms.c b/arch/i386/kernel/i386_ksyms.c
--- a/arch/i386/kernel/i386_ksyms.c	Wed Apr 10 11:19:45 2002
+++ b/arch/i386/kernel/i386_ksyms.c	Wed Apr 10 11:19:45 2002
@@ -145,6 +145,10 @@
 EXPORT_SYMBOL(flush_tlb_page);
 #endif
 
+#ifdef CONFIG_X86_IO_APIC
+EXPORT_SYMBOL(IO_APIC_get_PCI_irq_vector);
+#endif
+
 #ifdef CONFIG_MCA
 EXPORT_SYMBOL(machine_id);
 #endif
